<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='X-статус';
aut();
head();

who_add(0,'enter');


if (isset($_GET['st']))
{
/*$db->sql_query("UPDATE `users` SET `xstatus` = '".$_GET['st']."' WHERE `id` = '$user['id']' LIMIT 1");
echo "<font color=\"red\"><b>Статус изменен</b></font><br/>";*/

if ($_GET['st']==0)echo '<b>Онлайн</b><br />';
else if ($_GET['st']==1)echo '<b>Готов болтать</b><br/>';
else if ($_GET['st']==2)echo '<b>Не беспокоить</b><br/>';
else if ($_GET['st']==3)echo '<b>Болею</b><br/>';
else if ($_GET['st']==4)echo '<b>Депрессия</b><br/>';
else if ($_GET['st']==5)echo '<b>Думаю</b><br/>';
else if ($_GET['st']==6)echo '<b>Курю</b><br/>';
else if ($_GET['st']==7)echo '<b>Кушаю</b><br/>';
else if ($_GET['st']==8)echo '<b>Люблю</b><br/>';
else if ($_GET['st']==9)echo '<b>Смотрю тв</b><br/>';
else if ($_GET['st']==10)echo '<b>Слушаю музыку</b><br/>';
else if ($_GET['st']==11)echo '<b>В ванной</b><br/>';
else if ($_GET['st']==12)echo '<b>В туалете</b><br/>';
else if ($_GET['st']==13)echo 'Занимаюсь сексом<br/>';
else if ($_GET['st']==14)echo '<b>Играю в игру</b><br/>';
else if ($_GET['st']==15)echo '<b>Пью пиво</b><br/>';
else if ($_GET['st']==16)echo '<b>Сонный</b><br/>';




$act = $_GET['act'];
if(empty($act)) {
$uner = @$db->sql_query('SELECT * FROM `xstatus` WHERE `stat`="'.intval($_GET['st']).'" and user="'.$user['id'].'";');
$ter_uner = @$db->sql_fetchrow($uner);
if ($ver!='wml'){
echo '<form action="?st='.$_GET['st'].'&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Заголовок(30):</b><br /><input type="text"  name="name" value="'.text($ter_uner['name'],false,true,false,false,false).'" maxlength="30" /><br />';
echo '<b>Описание(500):</b><br /><input type="text"  name="content" value="'.text($ter_uner['content'],false,true,false,false,false).'" maxlength="500" /><br />';
echo '<input type="hidden" name="act" value="add"/><input class="ibutton" type="submit" value="Изменить"/></form>';
}else{
echo '<b>Заголовок:</b><br /><input type="text"  name="name" value="'.$ter_uner['osnownoe'].'" maxlength="300" /><br />';
echo '<b>Описание:</b><br /><input type="text"  name="content" value="'.$ter_uner['content'].'" maxlength="500" /><br />';
echo '<anchor>Изменить<go href="?st='.$_GET['st'].'&amp;act=act&amp;'.SID.'" method="post">
<postfield name="name" value="$(name)"/>
<postfield name="content" value="$(content)"/>
<postfield name="act" value="add"/>
</go></anchor><br/><br />';
}
}else{
$content= check($_POST['content']);
$name= check($_POST['name']);

if ($user['translit']==1) $name = trun_to_rus($name);
$content= check($content);
if ($user['translit']==1) $content = trun_to_rus($content);


$prow_pr = @$db->sql_query('SELECT * FROM `xstatus` WHERE `stat`="'.intval($_GET['st']).'" and user="'.$user['id'].'";');
if(@$db->sql_numrows($prow_pr) != 0){

if((@$db->sql_query('update `xstatus` set name="'.$name.'", content="'.$content.'" WHERE `stat`="'.intval($_GET['st']).'" and user="'.$user['id'].'";'))){
$db->sql_query('UPDATE `users` SET `xstatus` = "'.intval($_GET['st']).'" WHERE `id` = "'.$user['id'].'" LIMIT 1');
echo 'Статус изменен!<br/>';
}else{
echo 'Произошла ошибка!<br />';
}
}else{
if((@$db->sql_query('insert into xstatus values(0,"'.$user['id'].'","'.intval($_GET['st']).'","'.$name.'","'.$content.'");'))){
$db->sql_query('UPDATE `users` SET `xstatus` = "'.intval($_GET['st']).'" WHERE `id` = "'.$user['id'].'" LIMIT 1');
echo 'Статус изменен!<br /><br/>';
}else{
echo 'Произошла ошибка!<br />';}
}
}


}else{

echo 'Ваш статус: ';


if ($user['xstatus']==1) $stat='<img src="/img/online/gotov_boltat.png" alt="" class="icon"/>';
else if ($user['xstatus']==2) $stat='<img src="/img/online/zaniat.png" alt="" class="icon"/>';
else if ($user['xstatus']==3) $stat='<img src="/img/online/boleu.png" alt="" class="icon"/>';
else if ($user['xstatus']==4) $stat='<img src="/img/online/depressia.png" alt="" class="icon"/>';
else if ($user['xstatus']==5) $stat='<img src="/img/online/dumau.png" alt="" class="icon"/>';
else if ($user['xstatus']==6) $stat='<img src="/img/online/kuru.png" alt="" class="icon"/>';
else if ($user['xstatus']==7) $stat='<img src="/img/online/kushau.png" alt="" class="icon"/>';
else if ($user['xstatus']==8) $stat='<img src="/img/online/love.png" alt="" class="icon"/>';
else if ($user['xstatus']==9) $stat='<img src="/img/online/tv.png" alt="" class="icon"/>';
else if ($user['xstatus']==10) $stat='<img src="/img/online/music.png" alt="" class="icon"/>';
else if ($user['xstatus']==11) $stat='<img src="/img/online/vanna.png" alt="" class="icon"/>';
else if ($user['xstatus']==12) $stat='<img src="/img/online/tualet.png" alt="" class="icon"/>';
else if ($user['xstatus']==13) $stat='<img src="/img/online/sex.png" alt="" class="icon"/>';
else if ($user['xstatus']==14) $stat='<img src="/img/online/igrau.png" alt="" class="icon"/>';
else if ($user['xstatus']==15) $stat='<img src="/img/online/pivo.png" alt="" class="icon"/>';
else if ($user['xstatus']==16) $stat='<img src="/img/online/sonni.png" alt="" class="icon"/>';
echo ''.$stat.'';
if ($user['xstatus']==0)echo 'Онлайн<br/>';
else if ($user['xstatus']==1)echo 'Готов болтать<br/>';
else if ($user['xstatus']==2)echo 'Не беспокоить<br/>';
else if ($user['xstatus']==3)echo 'Болею<br/>';
else if ($user['xstatus']==4)echo 'Депрессия<br/>';
else if ($user['xstatus']==5)echo 'Думаю<br/>';
else if ($user['xstatus']==6)echo 'Курю<br/>';
else if ($user['xstatus']==7)echo 'Кушаю<br/>';
else if ($user['xstatus']==8)echo 'Люблю<br/>';
else if ($user['xstatus']==9)echo 'Смотрю тв<br/>';
else if ($user['xstatus']==10)echo 'Слушаю музыку<br/>';
else if ($user['xstatus']==11)echo 'В ванной<br/>';
else if ($user['xstatus']==12)echo 'В туалете<br/>';
else if ($user['xstatus']==13)echo 'Занимаюсь сексом<br/>';
else if ($user['xstatus']==14)echo 'Играю в игру<br/>';
else if ($user['xstatus']==15)echo 'Пью пиво<br/>';
else if ($user['xstatus']==16)echo 'Сонный<br/>';

if ($user['xstatus']>=1) echo '<a href="?st=0&amp;set"><b>Убрать статус</b></a><br />';

echo '<img src="/img/online/gotov_boltat.png" alt="" class="icon"/> <a href="?st=1&amp;set">Готов болтать</a><br />';
echo '<img src="/img/online/zaniat.png" alt="" class="icon"/> <a href="?st=2&amp;set">Не беспокоить</a><br />';
echo '<img src="/img/online/boleu.png" alt="" class="icon"/> <a href="?st=3&amp;set">Болею</a><br />';
echo '<img src="/img/online/depressia.png" alt="" class="icon"/> <a href="?st=4&amp;set">Депрессия</a><br />';
echo '<img src="/img/online/dumau.png" alt="" class="icon"/> <a href="?st=5&amp;set">Думаю</a><br />';
echo '<img src="/img/online/kuru.png" alt="" class="icon"/> <a href="?st=6&amp;set">Курю</a><br />';
echo '<img src="/img/online/kushau.png" alt="" class="icon"/> <a href="?st=7&amp;set">Кушаю</a><br />';
echo '<img src="/img/online/love.png" alt="" class="icon"/> <a href="?st=8&amp;set">Люблю</a><br />';
echo '<img src="/img/online/tv.png" alt="" class="icon"/> <a href="?st=9&amp;set">Смотрю тв</a><br />';
echo '<img src="/img/online/music.png" alt="" class="icon"/> <a href="?st=10&amp;set">Слушаю музыку</a><br />';
echo '<img src="/img/online/vanna.png" alt="" class="icon"/> <a href="?st=11&amp;set">В ванной</a><br />';
echo '<img src="/img/online/tualet.png" alt="" class="icon"/> <a href="?st=12&amp;set">В туалете</a><br />';
echo '<img src="/img/online/sex.png" alt="" class="icon"/> <a href="?st=13&amp;set">Занимаюсь сексом</a><br />';
echo '<img src="/img/online/igrau.png" alt="" class="icon"/> <a href="?st=14&amp;set">Играю в игру</a><br />';
echo '<img src="/img/online/pivo.png" alt="" class="icon"/> <a href="?st=15&amp;set">Пью пиво</a><br />';
echo '<img src="/img/online/sonni.png" alt="" class="icon"/> <a href="?st=16&amp;set">Сонный</a><br />';

}
echo '<br />';
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
